Option Explicit

' --------------------------------
' -- DDRV.DLL Function Delarations
' --------------------------------

    ' -- Viewer Control Functions
    Declare Function rvInit% Lib "ddrv.dll" (ByVal hParent%, ByVal Title$, ByVal JustShow%, ByVal UnitOfMeasure%, ByVal PortOrland%)
    Declare Sub rvNewPage Lib "ddrv.dll" ()
    Declare Sub rvEndDoc Lib "ddrv.dll" ()
    Declare Sub rvViewerPos Lib "ddrv.dll" (ByVal x%, ByVal y%, ByVal h%, ByVal w%, ByVal ShowControl%)
    Declare Sub rvButtonCaption Lib "ddrv.dll" (ByVal Which%, ByVal TheCaption$)
    Declare Sub rvButtons Lib "ddrv.dll" (ByVal x%, ByVal y%, ByVal GraphicFile$)
    Declare Function rvGetHandle Lib "ddrv.dll" () As Integer
    Declare Function rvViewerActive Lib "ddrv.dll" (ByVal hWnd%) As Integer
    Declare Sub rvFloatViewer Lib "ddrv.dll" (ByVal hWnd%, ByVal YesOrNo%)
    Declare Sub rvKillViewer Lib "ddrv.dll" (ByVal hWnd%)
    Declare Function rvGetCloseHandle Lib "ddrv.dll" () As Integer
    
    ' -- Drawing Functions
    Declare Sub rvText Lib "ddrv.dll" (ByVal x!, ByVal y!, ByVal align%, ByVal TheText$)
    Declare Sub rvParagraph Lib "ddrv.dll" (ByVal x1!, ByVal y1!, ByVal x2!, ByVal y2!, ByVal TheString$)
    Declare Sub rvAngleText Lib "ddrv.dll" (ByVal x!, ByVal y!, ByVal angle%, ByVal TheText$)
    Declare Sub rvLine Lib "ddrv.dll" (ByVal x1!, ByVal y1!, ByVal x2!, ByVal y2!, ByVal p!)
    Declare Sub rvRect Lib "ddrv.dll" (ByVal x1!, ByVal y1!, ByVal x2!, ByVal y2!, ByVal p!, ByVal s%)
    Declare Sub rvGraphic Lib "ddrv.dll" (ByVal FileName$, ByVal x1!, ByVal y1!, ByVal x2!, ByVal y2!)
    
    ' -- Font Functions
    Declare Sub rvFontName Lib "ddrv.dll" (ByVal FontName$)
    Declare Sub rvFontSize Lib "ddrv.dll" (ByVal FontSize%)
    Declare Sub rvFontStyle Lib "ddrv.dll" (ByVal FontStyle%)

    ' -- Support Function
    Declare Sub rvGetEditBoxLine Lib "ddrv.dll" (ByVal hWnd%, Which&, ByVal TheBuffer$)
    Declare Function rvWhatIsTempFile Lib "ddrv.dll" (ByVal FileName$) As Integer

' ---------------------------------
' -- DDRV.DLL Constant Declarations
' ---------------------------------

    ' -- Font Style Constants (Bitwise)
    Global Const RV_FONTNORMAL = 0
    Global Const RV_FONTBOLD = 1
    Global Const RV_FONTITALIC = 2
    Global Const RV_FONTUNDERLINE = 4
    Global Const RV_FONTSTRIKEOUT = 8
    
    ' -- Text alignment constants
    Global Const RV_LEFT = 0
    Global Const RV_CENTER = 1
    Global Const RV_RIGHT = 2
    Global Const RV_DECIMAL = 3
    
    ' -- Rectangle background constants
    Global Const RV_CLEARBACK = 0
    Global Const RV_GREYBACK = 2

    ' -- Units of measure
    Global Const RV_INCH = 0
    Global Const RV_CM = 1
    
    ' -- Page control
    Global Const RV_JUSTPRINT = 0
    Global Const RV_VIEWFIRST = 1
    Global Const RV_CREATETEMP = 2

    ' -- Options (bitwise)
    '    these go in the Options parameter of rvInit
    Global Const RV_PORTRAIT = 0
    Global Const RV_LANDSCAPE = 1
    Global Const RV_MAGNIFY = 2
    Global Const RV_PRINTSELECT = 4
    Global Const RV_ZOOM100 = 0
    Global Const RV_ZOOM75 = 8
    Global Const RV_ZOOM50 = 16
    Global Const RV_ZOOMFIT = 32
    Global Const RV_HIDEDEFPRINTER = 64
    Global Const RV_SAVETEMPFILE = 128

    ' -- Screen control
    '    one of these constants can go in the X parameter
    '    of the rvViewPos function if you want the viewer
    '    to initalize maximized or minimized.
    Global Const RV_MAXIMIZE = -1
    Global Const RV_MINIMIZE = -2

    Global Const RV_CTLBOX = 1
    Global Const RV_NOCTLBOX = 0

    ' -- Button codes to Assign hints (captions) to buttons
    Global Const RV_BTN_EXIT = 0
    Global Const RV_BTN_PREV = 1
    Global Const RV_BTN_NEXT = 2
    Global Const RV_BTN_PRINT = 3
    Global Const RV_BTN_CHOOSEPRINT = 4
    Global Const RV_CBO_ZOOM = 5

